FROM alpine as qemu

RUN if [ -n "arm" ]; then \
		wget -O /qemu-arm-static https://github.com/multiarch/qemu-user-static/releases/download/v4.1.0-1/qemu-arm-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-arm-static; \
	fi; \
	chmod a+x /qemu-arm-static

# COMPONENT REFERENCES

FROM arm32v7/ubuntu:xenial

COPY --from=qemu /qemu-arm-static /usr/bin/

# INSTALL RUNTIME DEPENDENCIES
RUN apt-get update && apt-get install -y \
	&& apt-get clean \
	&& rm -rf /var/lib/apt/lists

# COPY ARTIFACTS FROM COMPONENTS

# CONFIGURATION

CMD [ "/lib/systemd/systemd" ]
